curl --request POST \
--url https://api.soharhealth.com/v2/verifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "09/20/2023",
"state": "CA",
"memberId": "00000000"
},
"payerId": "62308",
"placeOfServiceCode": "02",
"specialtyCode": "PSY",
"id": "123456",
"subscriber": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "09/20/2023"
}
}
'import requests
url = "https://api.soharhealth.com/v2/verifications"
payload = {
"patient": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "09/20/2023",
"state": "CA",
"memberId": "00000000"
},
"payerId": "62308",
"placeOfServiceCode": "02",
"specialtyCode": "PSY",
"id": "123456",
"subscriber": {
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "09/20/2023"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient: {
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '09/20/2023',
state: 'CA',
memberId: '00000000'
},
payerId: '62308',
placeOfServiceCode: '02',
specialtyCode: 'PSY',
id: '123456',
subscriber: {firstName: '<string>', lastName: '<string>', dateOfBirth: '09/20/2023'}
})
};
fetch('https://api.soharhealth.com/v2/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"id": "123456"
}{
"error": "invalid_request_error",
"param": "payerId",
"id": "12345"
}{
"error": "invalid_request_error"
}{
"error": "Too many requests"
}Create Verification
Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Headers
A UUID v4 used to safely retry this request without creating a duplicate. See Idempotency.
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
An object to describe the patient
Show child attributes
Show child attributes
The payer ID. See the Sohar payer list
"62308"
A two-digit code that describes the setting in which a service was provided
"02"
Specifies the specialty
ABA Applied Behavioral Analysis
IOP Intensive Outpatient Program
OCT Occupational Therapy
PHT Physical Therapy
PRC Primary Care
PCH Psychiatry
PSY Psychotherapy
SLP Speech-Language Pathology
SUD Substance Use Disorder
UGC Urgent Care
WMT Weight Management
ABA, IOP, OCT, PHT, PRC, PCH, PSY, SLP, SUD, UGC, WMT "PSY"
An optional identifier for the verification
45"123456"
An optional object to describe the subscriber related to the insurance member ID. Used when the patient is a dependent - the subscriber is typically a parent or spouse
Show child attributes
Show child attributes